Bug 920844

Summary: Review Request: gnome-robots - GNOME Robots game
Product: [Fedora] Fedora Reporter: Tanner Doshier <doshitan>
Component: Package ReviewAssignee: Kalev Lember <kalevlember>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: kalevlember, notting, package-review
Target Milestone: ---Flags: kalevlember: fedora‑review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-06 17:08:53 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tanner Doshier 2013-03-12 17:38:06 EDT
Spec URL: http://doshitan.com/tmp/gnome-robots/gnome-robots.spec
SRPM URL: http://doshitan.com/tmp/gnome-robots/gnome-robots-3.7.90-1.fc19.src.rpm
Description: This is the GNOME Robots game

rpmlint:
gnome-robots.src: W: spelling-error %description -l en_US teleportation -> deportation, exportation, importation
gnome-robots.x86_64: W: spelling-error %description -l en_US teleportation -> deportation, exportation, importation
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.classic_robots-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots_with_safe_teleport-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.classic_robots-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.nightmare-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2_easy-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots_with_safe_teleport.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2_easy-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.nightmare.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2_easy.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.classic_robots.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.nightmare-safe.scores
gnome-robots.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-robots-3.7.90/COPYING
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots_with_safe_teleport-super-safe.scores
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-stock.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/sound.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/statusbar.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/gnobots.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-stock.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/find-file.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/find-file.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/game.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-scores.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-file-list.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-scores.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/properties.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/graphics.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-fullscreen-action.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-preimage.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/cursors.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/cursors.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-file-list.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/keyboard.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-preimage.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-fullscreen-action.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-scores-dialog.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/menu.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/games-scores-dialog.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.7.90/src/gameconfig.c
3 packages and 0 specfiles checked; 41 errors, 2 warnings.
Comment 1 Kalev Lember 2013-03-23 15:03:23 EDT
rpmlint has a lot of warnings about the /var/games/gnome-robots.* score files. I guess these are supposed to be writable by any user?

The old gnome-games package handled this by setting the setgid on the executable and making the score file writable by the games group:

%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnobots2*
# this is a setgid game
%attr(2551, root, games) %{_bindir}/gnobots2

Should we do the same thing here?
Comment 2 Tanner Doshier 2013-04-02 18:44:06 EDT
3.8.0-1
- Update to 3.8.0
- Use setgid games

3.7.92-1
- Update to 3.7.92
- Use old desktop file name
- Add high contrast icons

Spec URL: http://doshitan.com/tmp/gnome-robots/gnome-robots.spec
SRPM URL: http://doshitan.com/tmp/gnome-robots/gnome-robots-3.8.0-1.fc19.src.rpm
Comment 3 Kalev Lember 2013-05-06 14:12:13 EDT
rpmlint output:

$ rpmlint gnome-robots \
          gnome-robots-debuginfo-3.8.0-1.fc20.x86_64.rpm \
          gnome-robots-3.8.0-1.fc20.src.rpm
gnome-robots.x86_64: W: spelling-error %description -l en_US teleportation -> deportation, exportation, importation
gnome-robots.x86_64: W: obsolete-not-provided gnome-games-gnobots2
gnome-robots.x86_64: W: binaryinfo-readelf-failed /usr/bin/gnome-robots readelf: Error: Input file '/usr/bin/gnome-robots' is not readable.
gnome-robots.x86_64: W: binaryinfo-tail-failed /usr/bin/gnome-robots: [Errno 13] Permission denied: '/usr/bin/gnome-robots'
gnome-robots.x86_64: W: ldd-failed /usr/bin/gnome-robots
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.classic_robots-safe.scores
gnome-robots.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-robots-3.8.0/COPYING
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots_with_safe_teleport-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.classic_robots-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.nightmare-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2_easy-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots_with_safe_teleport.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2_easy-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.nightmare.scores
gnome-robots.x86_64: E: setgid-binary /usr/bin/gnome-robots games 02551L
gnome-robots.x86_64: E: non-standard-executable-perm /usr/bin/gnome-robots 02551L
gnome-robots.x86_64: E: non-standard-executable-perm /usr/bin/gnome-robots 02551L
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2_easy.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.nightmare-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots2-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.robots_with_safe_teleport-super-safe.scores
gnome-robots.x86_64: E: zero-length /var/games/gnome-robots.classic_robots.scores
gnome-robots.src: W: spelling-error %description -l en_US teleportation -> deportation, exportation, importation
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/sound.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/gameconfig.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/game.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-stock.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-preimage.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/menu.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-scores.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/graphics.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/cursors.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/find-file.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/keyboard.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/properties.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/cursors.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/find-file.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-preimage.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/gnobots.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-stock.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-scores.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-file-list.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-fullscreen-action.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-scores-dialog.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-scores-dialog.c
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-fullscreen-action.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/games-file-list.h
gnome-robots-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-robots-3.8.0/src/statusbar.c
3 packages and 0 specfiles checked; 44 errors, 6 warnings.
Comment 4 Kalev Lember 2013-05-06 14:26:52 EDT
Fedora review gnome-robots-3.8.0-1.fc19.src.rpm 2013-05-06

+ OK
! needs attention

+ Rpmlint is very noisy here, but most of the warnings / errors seem harmless.
  The unreadable /usr/bin/gnome-robots is a bit weird, but it's the same as in
  the old gnome-games and I suppose it didn't have the r bit for a reason.
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  05ea450e0449e6f810a7a975ac0ec48e  gnome-robots-3.8.0.tar.xz
  05ea450e0449e6f810a7a975ac0ec48e  Download/gnome-robots-3.8.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good!

APPROVED
Comment 5 Tanner Doshier 2013-05-06 15:23:28 EDT
New Package SCM Request
=======================
Package Name: gnome-robots
Short Description: Avoid the robots and make them crash into each other
Owners: doshitan
Branches: f19
InitialCC:
Comment 6 Jon Ciesla 2013-05-06 16:10:02 EDT
Git done (by process-git-requests).
Comment 7 Tanner Doshier 2013-05-06 17:08:53 EDT
Built in f19 and rawhide.
Comment 8 Jon Ciesla 2013-05-07 09:10:02 EDT
Clearing flag.